# absinth

Absinth is a graph based approach to word sense induction. Out system is based on Hyperlex (Véronis 2004) and made for SemEval-2013 Task 11 (Navigli, Vannella).

## Getting Started

Clone our system using git.

```
$ git clone https://gitlab.cl.uni-heidelberg.de/zimmermann/absinth/
```

### Prerequisites

Download the evaluator and dataset from the task page and place them in the appropriate folders. This repository already includes a version of this evaluator. For proper testing however, the official one should be used.


https://www.cs.york.ac.uk/semeval-2013/task11/index.php%3Fid=data.html


### Installing

A step by step series of examples that tell you have to get a development env running

Change to source directory.

```
$ cd absinth/src
```

Run setup.py.

```
$ python3 setup.py
```

Specify paths and (if appropriate) other variables for our system.

```
$ emacs config.py
```

## Deployment

Run absinth without modifiers to use the dataset path and with '-t' for the trial path.

```
$ python3 absinth.py
```

```
$ python3 absinth.py -t
```

## Built With

* [NetworkX](https://networkx.github.io/) - Graph implementation
* [NLTK](http://www.nltk.org/) - Stopwords
* [Spacy](https://spacy.io/) - Tokenisation and syntactic parsing
* [NumPy](http://www.numpy.org/) - Maths

## References

Di Marco, Antonio and Navigli, Roberto (2013). Clustering and Diversifying Web Search Results with Graph-Based Word Sense Induction. Computational Linguistics, 39(3). doi:10.1162/COLI_a_00148

Kruskal, J. (1956). On the Shortest Spanning Subtree of a Graph and the Traveling Salesman Problem. Proceedings of the American Mathematical Society, 7(1), 48-50. doi:10.2307/2033241

Véronis, Jean. (2004). HyperLex: Lexical cartography for information retrieval. Computer Speech & Language. doi:10.1016/j.csl.2004.05.002

## Authors

* **Maja Hoffmann** - [hoffmann](https://gitlab.cl.uni-heidelberg.de/hoffmann/)
* **Victor Zimmermann** - [zimmermann](http://www.cl.uni-heidelberg.de/~zimmermann/)

## License

This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details

## Acknowledgments

* In Loving Memory of Bente Nittka.
